import { Format, ResourceType } from '@antv/g-plugin-device-renderer';
import type { InputLayout, InputLayoutBufferDescriptor, InputLayoutDescriptor, VertexAttributeDescriptor } from '@antv/g-plugin-device-renderer';
import type { Device_GL } from './Device';
import { ResourceBase_GL } from './ResourceBase';
export declare class InputLayout_GL extends ResourceBase_GL implements InputLayout {
    type: ResourceType.InputLayout;
    vertexAttributeDescriptors: VertexAttributeDescriptor[];
    vertexBufferDescriptors: (InputLayoutBufferDescriptor | null)[];
    indexBufferFormat: Format | null;
    constructor({ id, device, descriptor, }: {
        id: number;
        device: Device_GL;
        descriptor: InputLayoutDescriptor;
    });
}
//# sourceMappingURL=InputLayout.d.ts.map